int
convert_RGB2XBGR(unsigned char *dest, unsigned char *src, int len)
{
    int i;
    unsigned char *p, *q;

    p = src;
    q = dest;
    i = 0;
    while(i<len) {
        *q++ = 0xff;
        *q++ = *(p+2);
        *q++ = *(p+1);
        *q++ = *(p+0);
        p += 3;
        i++;
    }

    return len;
}

int
convert_RGB2BGRX(unsigned char *dest, unsigned char *src, int len)
{
    int i;
    unsigned char *p, *q;

    p = src;
    q = dest;
    i = 0;
    while(i<len) {
        *q++ = *(p+2);
        *q++ = *(p+1);
        *q++ = *(p+0);
        *q++ = 0xff;
        p += 3;
        i++;
    }

    return len;
}

int 
convert_none(char *cur, int size, int xsize, int ysize,
    int *nxsize, int *nysize, char **new)
{
    *new = cur;
    *nxsize = xsize;
    *nysize = ysize;

    return size;
}

void
convert_BGRA2RGB_s(unsigned char *cur, int xsize, int ysize)
{
    unsigned char *ptr1, *ptr2, tmp;
    int n;

    /* covert RGB lines. BGRa -> RGB */
    for(n=0, ptr1=cur, ptr2=cur; n<xsize*ysize; n++, ptr1+=4, ptr2+=3){
        tmp=ptr1[0]; ptr2[0]=ptr1[2]; ptr2[1]=ptr1[1]; ptr2[2]=tmp;
    }
}

void
convert_BGR2RGB_s(unsigned char *cur, int xsize, int ysize)
{
    unsigned char *p, *pend;
    unsigned char tmp;
    
    p = cur;
    pend = cur + xsize*ysize*3;
    while(p<pend) {
        tmp = *p;
        *p = *(p+2);
        p++;
        p++;
        *p = tmp;
        p++;
    }
}

